Bug 520 - Unsupported Hardware watermark appears in lower right of screen following successful installation
: Unsupported Hardware watermark appears in lower right of screen following suc...
Status: CLOSED WONTFIX
Product: AMD Catalyst™Proprietary Display Driver
Classification: Unclassified
Component: Catalyst Control Center
: .archived
: All Linux
: low normal
Assigned To: nobody
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 17:30 CDT by scp
Modified: 2013-05-08 00:06 CDT (History)
2 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description scp 2012-05-29 17:30:12 CDT
Description of problem: 

Steps to reproduce:
1. Install amd-driver-installer-12-4-x86.x86_64.run from AMD site (or Fedora Akmods) for AMD Radeon HD 7570 1GB card

2. Installation is successful but "Unsupported Hardware" watermark appears in lower right of screen
 
3. Cannot remove watermark - attempts to do so prevent desktop from loading.

Actual result: Graphics work as expected with "Unsupported Hardware" watermark in lower right of screen.

Expected result: Graphics work as expected with no unsightly AMD watermark.
Comment 1 Paul Menzel 2012-06-30 07:04:52 CDT
(In reply to comment #0)
> Description of problem: 
> 
> Steps to reproduce:
> 1. Install amd-driver-installer-12-4-x86.x86_64.run from AMD site (or Fedora
> Akmods) for AMD Radeon HD 7570 1GB card
> 
> 2. Installation is successful but "Unsupported Hardware" watermark appears in
> lower right of screen
> 
> 3. Cannot remove watermark - attempts to do so prevent desktop from loading.
> 
> Actual result: Graphics work as expected with "Unsupported Hardware" watermark
> in lower right of screen.
> 
> Expected result: Graphics work as expected with no unsightly AMD watermark.

As a work around you can manually edit the binary [1], but you have to make sure to use the correct path.

[1] http://askubuntu.com/questions/25519/how-to-remove-amd-unsupported-hardware-without-reinstalling-the-driver
Comment 2 scp 2012-06-30 09:39:15 CDT
The script posted at this link solved the issue with the watermark where all other scripts failed:

http://phoronix.com/forums/showthread.php?69777-lolsed-Get-Rid-Of-Unsupported-Hardware-Testing-Only-Watermark
Comment 3 Jammy 2012-07-03 05:08:30 CDT
What's the result when run "aticonfig --initial -f"?
Comment 4 Paul Menzel 2012-07-03 05:31:28 CDT
(In reply to comment #3)
> What's the result when run "aticonfig --initial -f"?

    $ sudo aticonfig --initial -f
    aticonfig: No supported adapters detected

Please bear in mind that this is with fglrx *12.6* from Debian Sid/unstable and my card adapter is HD 6310.

    00:01.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Wrestler [Radeon HD 6310]

Running `fgl_glxgears` works fine though so my card *is* supported!
Comment 5 Michael Cronenworth 2013-04-24 22:57:07 CDT
This message is a reminder that your bug is marked as Catalyst 12.4.

The current Catalyst version is 13.4.

Approximately 7 days from now the Bugzilla administrator will be removing the 12.4 version. At that time your bug will be CLOSED as WONTFIX.

Bug Reporter: Thank you for reporting this issue. However, the Bugzilla administrator provides this as a unofficial, free service to AMD customers, and I like to keep my systems neat and tidy. If you would like to keep your bug from being closed, please try a new Catalyst version and update the 'version' field if the issue still occurs.

If you are unable to update the version, please make a comment and someone will change it for you.
Comment 6 Michael Cronenworth 2013-05-08 00:03:57 CDT
This bug is being closed due to the 'version' being 12.4 after 14 days of the previous closure notice.

Thank you for your bug report.